Change log for spampd package in Ubuntu

126 of 26 results
Published in eoan-release on 2019-04-21
Deleted in eoan-proposed (Reason: moved to release)
spampd (2.53-1) unstable; urgency=medium

  * New upstream version 2.53
  * Use the --setsid argument to make sure the process is correctly detached.
  * Bumped Standards-Version, no changes needed.

 -- Michael Meskes <email address hidden>  Tue, 26 Feb 2019 12:16:46 +0100

Available diffs

Superseded in eoan-release on 2019-04-21
Published in disco-release on 2018-11-23
Deleted in disco-proposed (Reason: moved to release)
spampd (2.52-1) unstable; urgency=medium

  * New upstream version 2.52 (Closes: #849543)
  * Bumped Standards-Version, no changes needed.
  * Fixed usage of uninitialized value.

 -- Michael Meskes <email address hidden>  Wed, 21 Nov 2018 12:24:59 +0100

Available diffs

Superseded in disco-release on 2018-11-23
Published in cosmic-release on 2018-05-20
Deleted in cosmic-proposed (Reason: moved to release)
spampd (2.51-1) unstable; urgency=medium

  * New upstream version 2.51
  * Bumped Standards-Version, no changes needed.

 -- Michael Meskes <email address hidden>  Sun, 20 May 2018 13:07:24 +0200

Available diffs

Superseded in cosmic-release on 2018-05-20
Published in bionic-release on 2018-01-01
Deleted in bionic-proposed (Reason: moved to release)
spampd (2.42-1) unstable; urgency=medium

  * Updated watch file for new github location.
  * New upstream version 2.42 (Closes: #826159)
  * Removed special handling of updates from very old versions.
  * Set homedir to Debian standard.

 -- Michael Meskes <email address hidden>  Sun, 31 Dec 2017 15:32:54 +0100

Available diffs

Superseded in bionic-release on 2018-01-01
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
spampd (2.30-23) unstable; urgency=medium

  * Took over as new maintainer.
  * Moved source format to version 3.0.
  * Restored original spampd.html.
  * Added logcheck rules to filter log messages.
    Thanks to Kevin Locke <email address hidden> (Closes: #642467)
  * Added hook so spampd is restarted after sa-update runs. (Closes: #800611)
  * Added systemd service file.

 -- Michael Meskes <email address hidden>  Mon, 18 Jul 2016 17:20:29 +0200

Available diffs

Superseded in yakkety-release on 2016-07-19
Deleted in yakkety-proposed on 2016-07-21 (Reason: moved to release)
spampd (2.30-22.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Updated to debhelper 9. (Closes: #817675)
  * Bumped Standards-Version to 3.9.8, no updates needed.
  * Fixed typos in README.Debian.
  * Cleaned up lintian warnings.

 -- Michael Meskes <email address hidden>  Thu, 07 Jul 2016 16:55:02 +0200

Available diffs

Superseded in yakkety-release on 2016-07-08
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-12-22
Deleted in trusty-proposed (Reason: moved to release)
spampd (2.30-22.2) unstable; urgency=high


  * Non-maintainer upload.
  * Make program run with perl 5.18 by untainting several options.
    (Closes: #722159)

 -- Michael Meskes <email address hidden>  Sun, 22 Dec 2013 10:26:53 +0100

Available diffs

Superseded in trusty-release on 2013-12-22
Deleted in trusty-proposed on 2013-12-23 (Reason: moved to release)
spampd (2.30-22.1) unstable; urgency=low


  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.18: POD errors":
    add patch 70-fix-pod.patch to fix POD syntax.
    (Closes: #719505)

 -- gregor herrmann <email address hidden>  Tue, 20 Aug 2013 16:58:25 +0200

Available diffs

Superseded in trusty-release on 2013-10-23
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
spampd (2.30-22) unstable; urgency=low

  * Fix typo in init script
  * Fix check_pid in init script to not take any pre-set VERBOSE environment
    variable into account (closes: #505430)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  13 Nov 2008 23:53:27 +0000

Available diffs

Superseded in jaunty-release on 2008-11-14
spampd (2.30-21) unstable; urgency=low

  * upgrade policy version
  * Add VCS and homepage information to debian/control
  * fix patches to work with new 3.0 (quilt) source format (Closes: #485357) 
  * Fix package description (Closes: #485585) 

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  05 Nov 2008 17:59:42 +0000

Available diffs

Superseded in jaunty-release on 2008-11-06
Obsolete in intrepid-release on 2013-02-20
spampd (2.30-20) unstable; urgency=low

  * Move from dpatch to quilt
  * fix init script dependencies (Closes: #470108) 

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:26:16 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
spampd (2.30-19) unstable; urgency=low

  * The "Shame again" release
  * Fix missing dereference (Closes: #425802)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  31 May 2007 14:42:47 +0100
Superseded in gutsy-release on 2007-05-31
spampd (2.30-18) unstable; urgency=low

  * The "Shame On Me" release
  * Fix a bug introduced with the patch for #421100. Actually two:
    A missing } inside one sub and the usage of a variable (by wrong name
    even) before its declaration. (Closes: #425802)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  30 May 2007 07:35:53 +0100
Superseded in gutsy-release on 2007-05-30
spampd (2.30-17) unstable; urgency=low

  * Add patch to fix multi-destination LMTP (Closes: #395355)
    Thanks for the patch and for testing it go to:
    Vladislav Kurz <email address hidden>
  * Document problems with SpamAssassin's auto-whitelist plugin and
    the default filesystem storage. (Related to: bug #413753)
  * Apply patch by Alexander Wirt to introduce a parameter which 
    sets a proper home directory and also cleans up the environment
    before backgrounding. (Closes: #421100)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  24 May 2007 12:56:57 +0100
Superseded in gutsy-release on 2007-05-24
spampd (2.30-16) unstable; urgency=low

  * remove Debian specific part of libnet-server-perl syslog regression
    workaround and add versioned dependency (Closes: #407223)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  27 Apr 2007 01:32:01 +0100
Obsolete in edgy-updates on 2008-06-19
Deleted in edgy-proposed on 2008-06-20 (Reason: moved to -updates)
spampd (2.30-11ubuntu0.1~proposed1) edgy-proposed; urgency=low

  * Fix in spampd.init from /bin/sh -e to /bin/bash
    In the previous version (2.30-11), the daemon couldn't start correctly on
    a standard edgy machine.
    Reported under bug #76861 ([SRU] Spampd).
    This bug is also referenced under lauchpad #69595 and #76654 and debian #391219.
    This issue as been fixed in Debian/unstable and Ubuntu/Feisty since

 -- Marc Hauswirth <email address hidden>   Fri, 22 Dec 2006 14:07:20 +0100
Superseded in gutsy-release on 2007-04-27
Obsolete in feisty-release on 2009-08-20
spampd (2.30-15) unstable; urgency=low

  * Add versioned depend on lsb-base, I'm using log_daemon_msg which
    isn't supported in earlier versions it seems.
  * Add notes about the LMTP support and a known problem with it. The
    problem isn't reproducible for me. (Closes #395355)

Superseded in feisty-release on 2006-11-08
Obsolete in edgy-release on 2008-06-19
spampd (2.30-11) unstable; urgency=low

  * Remove POSIX-optional "function" preface to shell functions to make dash
    happy. Did I mention that dash isn't half as POSIX compliant as it is
    meant to be? (Closes: 376726)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  06 Jul 2006 03:03:52 +0100
Superseded in edgy-release on 2006-07-06
spampd (2.30-10) unstable; urgency=low

  * Fix __WARN__ handler to only use a format string when appropriate, i.e.
    when syslog module is above some version. (Closes: #375939)
  * Fix missing dereference in patch introducing the optional spampd.conf
    usage. It now properly dereferences $options{'config'} (Closes: #375938)
    Thanks go to Tatsuki Sugiura for noticing these two bugs.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  02 Jul 2006 21:05:04 +0100
Superseded in edgy-release on 2006-07-02
spampd (2.30-9) unstable; urgency=low

  * Fix unintended -8 upload with wrong distribution

Superseded in edgy-release on 2006-06-22
spampd (2.30-6) unstable; urgency=low

  * Switch maintainer address
  * Fix init script to use the correct LSB init script tags
  * Use lsb init-functions log_* subroutines where they seem to make
    sense
  * Depend on lsb-base now that I use lsb-base's init-functions

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  20 Jun 2006 07:50:11 +0100
Superseded in edgy-release on 2006-06-20
spampd (2.30-5) unstable; urgency=low

  * Add special "user" configuration file only accessed by spampd's
    SpamAssassin Instance (closes: #344373)
  * Revert postinst to use dh_installinit built-in option to call an error
    handler if the init script fails.
  * Move dependencies from build-depends-indep to build-depends 
    (since they must also be fulfilled when calling the clean target)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  19 Jun 2006 10:32:53 +0100
Superseded in edgy-release on 2006-06-19
spampd (2.30-4) unstable; urgency=low

  * Fix init script return value when run by non-root
  * Use error handler for init script calls in postinst/prerm (closes: #366362)

Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
spampd (2.30-1) unstable; urgency=low


  * New upstream release
    - fixes possible DoS/remote exploit (closes #332259)
  * remove various dpatch files (incorporated by upstream)

 -- Sven Mueller <email address hidden>  Wed, 30 Nov 2005 17:27:45 +0100
Obsolete in breezy-release on 2008-03-25
spampd (2.20-9) unstable; urgency=low


  * Fix line duplication introduced by the add-envelope-from_to patch
  * Fix a typo in debian/patches/55-add-envelope-from_to.dpatch which
    prevented the patch from being applied. (closes: #295590)
    - The option to enable addition of envelope headers is -seh or
      --set-envelope-headers
  * Fix a typo in the package description (closes: #300066)
  * remove dh_testroot from build and clean targets. It's only needed
    in the install target

 -- Sven Mueller <email address hidden>  Mon, 21 Mar 2005 21:28:52 +0100
Obsolete in hoary-release on 2008-03-19
spampd (2.20-6) unstable; urgency=low


  * Allow configuration of the syslog destination
    via /etc/default/spampd (INET socket or UNIX socket)
  * Switch default syslog destination to UNIX because Debian
    standard configuration of syslogd doesn't allow logging
    via INET socket.

 -- Sven Mueller <email address hidden>  Sun, 12 Dec 2004 01:12:00 +0100
126 of 26 results